<form class="inv-form" #inventoryForm="ngForm" (ngSubmit)="onSubmit(inventoryForm)">
  <input type="hidden" name="InventoryID" #InventoryID="ngModel" [(ngModel)]="inventoryService.selectedInventory.InventoryID">
  <div class="form-row">
    <div class="form-group col-md-6">
      <input class="form-control" name="Name" #Name="ngModel" [(ngModel)]="inventoryService.selectedInventory.Name"
        placeholder="Name" required>
      <div class="validation-error" *ngIf="Name.invalid && Name.touched">This Field is Required.</div>
    </div>
    <div class="form-group col-md-6">
      <input class="form-control" name="Price" #Price="ngModel" [(ngModel)]="inventoryService.selectedInventory.Price" placeholder="Price"
        required>
      <div class="validation-error" *ngIf="Price.invalid && Price.touched">This Field is Required.</div>
    </div>
  </div>
  <div class="form-group">
    <input class="form-control" name="Quantity" #Quantity="ngModel" [(ngModel)]="inventoryService.selectedInventory.Quantity" placeholder="Quantity">
  </div>
  <div class="form-row">
    <div class="form-group col-md-6">
      <!-- <input class="form-control" name="CreatedDate" #CreatedDate="ngModel" [(ngModel)]="inventoryService.selectedInventory.CreatedDate" placeholder="CreatedDate"> -->
      <input type="date" class="form-control" name="CreatedDate" #CreatedDate="ngModel" [(ngModel)]="inventoryService.selectedInventory.CreatedDate" placeholder="CreatedDate">
    </div>
    
  </div>
  <div class="form-row">
    <div class="form-group col-md-8">
      <button [disabled]="!inventoryForm.valid" type="submit" class="btn btn-lg btn-block btn-info">
        <i class="fa fa-floppy-o"></i> Submit</button>
    </div>
    <div class="form-group col-md-4">
      <button type="button" class="btn btn-lg btn-block btn-secondary" (click)="resetForm(inventoryForm)">
        <i class="fa fa-repeat"></i> Reset</button>
    </div>
  </div>
</form>